Organizations

List organization users with metadata

Get all users in the organization with metadata (email, full name, role, accountStatus, phone, lastLogin, etc.). Optional query `status` filters by accountStatus (pending, active, suspended). Requires organization access and owner or admin role.

AuthBearer (JWT)
GroupOrganizations
Rate limitSee Rate Limits
GET/api/orgs/{orgId}/users

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, OrganizationsApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const organizations = new OrganizationsApi(configuration);
import { Configuration, OrganizationsApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const organizations = new OrganizationsApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await organizations.getOrganizationUsers("usr_1wvkM8WPb0MV5t");
const { data: result } = await organizations.getOrganizationUsers("usr_1wvkM8WPb0MV5t");

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Path Parameters

NameTypeRequiredDescription
orgIdstringYes

Query Parameters

NameTypeRequiredDescription
statusstringNoFilter by account status (pending, active, suspended)

Responses

200Organization users with metadata
json
{
  "users": [
    {
      "_id": "usr_KOtgjvnSUw6ia9",
      "firstName": "Alexanne",
      "lastName": "Hansen",
      "email": "gregory_huel@northwind.dev",
      "avatar": "https://picsum.photos/seed/bplGH0/491/1755",
      "emailVerified": false,
      "role": "port generate",
      "customRole": "application back up",
      "phone": "733.287.6979 x6602",
      "phoneVerified": false,
      "lastLogin": "2026-07-18T10:04:47.394Z",
      "isActive": true,
      "accountStatus": "suspended",
      "isAnonymous": true,
      "createdAt": "2026-06-28T08:36:32.092Z",
      "project": {
        "_id": "usr_LN7GDIqhZoOYT2",
        "name": "Guadalupe Okuneva",
        "slug": "unlucky-traditionalism-dzoz"
      }
    }
  ],
  "total": 219
}
{
  "users": [
    {
      "_id": "usr_KOtgjvnSUw6ia9",
      "firstName": "Alexanne",
      "lastName": "Hansen",
      "email": "gregory_huel@northwind.dev",
      "avatar": "https://picsum.photos/seed/bplGH0/491/1755",
      "emailVerified": false,
      "role": "port generate",
      "customRole": "application back up",
      "phone": "733.287.6979 x6602",
      "phoneVerified": false,
      "lastLogin": "2026-07-18T10:04:47.394Z",
      "isActive": true,
      "accountStatus": "suspended",
      "isAnonymous": true,
      "createdAt": "2026-06-28T08:36:32.092Z",
      "project": {
        "_id": "usr_LN7GDIqhZoOYT2",
        "name": "Guadalupe Okuneva",
        "slug": "unlucky-traditionalism-dzoz"
      }
    }
  ],
  "total": 219
}
401
403
404

Errors

CodeMeaning
401
403
404
Edit this page on GitHub